tt_error_int(library call)

NAME
tt_error_int — return an integer error object that encodes the code

SYNOPSIS

#include &<Tt/tt_c.h>
int tt_error_int(
Tt_status ttrc);

DESCRIPTION

The tt_error_int function returns an integer error object that encodes a Tt_status return value.

The ttrc argument is the Tt_status code that is to be encoded.

RETURN VALUE

Upon successful completion, the tt_error_int function returns the encoded Tt_status code.

APPLICATION USAGE

The integer error objects are negative integers; an application should use this call only when the valid integer values are non-negative.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).